### Method

# Gimp FileProcedure get_magics

#### Declaration [src]

    const gchar*
    gimp_file_procedure_get_magics (
      GimpFileProcedure* procedure
    )

#### Description [src]

Returns the procedure’s magics as set with `gimp_file_procedure_set_magics()`.

Available since: | 3.0

#### Return value

Returns: | `const gchar*`
| The procedure’s registered magics.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.